> For the complete documentation index, see [llms.txt](https://docs.0xweb.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0xweb.org/dequanto/info.md).

# Info

Dequanto library **simplifies blockchain development**. It is built on top of [ethersproject ](https://github.com/ethers-io)and [web3.js](https://github.com/ChainSafe/web3.js), but includes additional features, like [Nodes Pool](/dequanto/rpc-client-pool.md), [Tx Builder](/dequanto/tx-builder.md), [Tx Writer](/dequanto/tx-writer.md), [Indexer](/dequanto/indexer.md), and others.

### 0xWeb and Dequanto

To understand the relationship - `0xWeb` uses `dequanto` as its dependency, and not vice-versa. Dequanto is a **standalone** library you can use in any blockchain-related project.

## Install

**`📃 Distributed as Source Code`**

Though we have published the npm package - [dequanto](https://www.npmjs.com/package/dequanto). But we advise using dequanto as a **git submodule.**&#x20;

```bash
git submodule add https://github.com/0xweb-org/dequanto
```

You should use raw TypeScript source code files.  You can browse, view, and modify any classes on your need.

#### Configuring Imports

[‼️](https://emojipedia.org/double-exclamation-mark/) Add `@dequanto` alias to your `tsconfig.json`&#x20;

```json
{
  "compilerOptions": {
    "baseUrl": "./",
    "paths": {
      "@dequanto/*": ["dequanto/src/*"]
    }
  }
}

```

> If you have installed via npm, the path would be `"node_modules/dequanto/src/*`

## Configure

There is a bunch of things in configuration to be loaded at application start - like Node URLs, API Keys. The most simple is to use `0xweb` to create a default config file, which you can edit

```bash
0xweb config -e
```

Load that configuration on startup

```typescript
import { Config } from '@dequanto/Config'

await Config.fetch();
```

> It is safe to call the method multiple time, but enough only once.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0xweb.org/dequanto/info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
